Bug 999880 - X server freezes using remote application through 'ssh -Y'
X server freezes using remote application through 'ssh -Y'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 06:07 EDT by Jiri Vyskocil
Modified: 2015-02-17 11:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:52:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Vyskocil 2013-08-22 06:07:58 EDT
Description of problem:

I have a laptop with F19 and I am connection to a server running CentOS release 5.9. On the server, I have compiled MPI version of VisIt 2.6.3 application for scientific visualization. Now I need to run VisIt via 'ssh -X' or 'ssh -Y' using the parallel engine. It starts fine and works until I try to open a menu hidden under one of the main buttons (variable, operators...) 

Attempt to open such menu starts spewing some errors in the terminal, while the client machine is rendered unusable - I can move the mouse, but cannot click anything on the screen - I can see the errors appearing in the terminal, but I can't change the window focus, open the Acitvities screen, or do anything else than ctrl+alt+f2 into a console and kill the ssh process - then the desktop returns to normal.

I can connect from Gentoo, xorg-server-1.13.4, and this error doesn't happen there. My advisor connects from a MacBook Air and he doesn't get this error either. Therefore I suspect this is a client side problem. Also this is a remote application DoSing local X server which is not nice either.



Steps to Reproduce:

1. Compile MPI version of VisIt on the server
2. Connect to the server via 'ssh -Y' (or 'ssh -X')
3. Run the parallel engine 'visit -np 4'
4. Load a file
5. Click the 'Variables' button


Actual results:

* No menu appears under the button
* Local X server stops responding to input

There are errors in the terminal (odin is local F19, nobel5 is CentOS server):

[strazce@odin ~]$ ssh -Y nobel5
Last login: Thu Aug 22 11:58:13 2013 from 147.32.25.48
vyskocil@nobel5:~$ visit -np 4
Running: gui -dv -engineargs -l;mpirun;-np;4 -launchengine localhost
Running: viewer -engineargs -l;mpirun;-np;4 -geometry 1548x1173+372+27 -borders 40,10,10,10 -shift 1,32 -preshift 0,0 -defer -dv -host 127.0.0.1 -port 5600 -launchengine localhost
Running: mdserver -dv -host 127.0.0.1 -port 5601
Running: mpirun -np 4 /mnt/usr1/scratch/vyskocil/visit26/visit2.6.3/src/exe/engine_par -plugindir /usr/home/v2/vyskocil/.visit/2.6.3/linux-x86_64/plugins:/mnt/usr1/scratch/vyskocil/visit26/visit2.6.3/src/plugins:/usr/home/v2/vyskocil/.visit/2.6.3/linux-x86_64/plugins:/mnt/usr1/scratch/vyskocil/visit26/visit2.6.3/src/plugins -visithome /mnt/usr1/scratch/vyskocil/visit26/visit2.6.3/src -visitarchhome /mnt/usr1/scratch/vyskocil/visit26/visit2.6.3/src/ -dv -host nobel5.fjfi.cvut.cz -port 5600
Xlib: sequence lost (0x10039 > 0x682) in reply type 0x0!
X Error: 0 0
  Major opcode: 47 (X_QueryFont)
  Resource id:  0x1910000
Xlib: sequence lost (0x10000 > 0x682) in reply type 0x0!
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0x0
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0x0
X Error: 0 0
  Major opcode: 1 (X_CreateWindow)
  Resource id:  0xffe60000
Xlib: sequence lost (0x10000 > 0x682) in reply type 0x2!
X Error: 0 0
  Extension:    224 (Uknown extension)
  Minor opcode: 77 (Unknown request)
  Resource id:  0x682001c
X Error: 0 0
  Extension:    164 (Uknown extension)
  Minor opcode: 86 (Unknown request)
  Resource id:  0x6820105
Xlib: sequence lost (0x10200 > 0x682) in reply type 0x10!

(And similar repeating errors)



Expected results:

* A menu appears under the button.
* Local X server doesn't freeze



Additional info:

This happens with F19, but doesn't happen with Gentoo xorg-server-1.13.4, and MacBook Air (I don't know the OS or X version there)
Comment 1 Fabien Brachere 2013-08-30 03:21:21 EDT
I've the same problem with fwbuilder (a Qt appliaction).
It freeze when I open a menu with errors on the terminal:

Xlib: sequence lost (0x402c4 > 0x3499d) in reply type 0x0!
X Error: 0 0
  Extension:    196 (Uknown extension)
  Minor opcode: 0 (Unknown request)
  Resource id:  0x2a20000
Xlib: sequence lost (0x40000 > 0x3499d) in reply type 0x0!
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0x0
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0x0
X Error: 0 0
  Major opcode: 1 (X_CreateWindow)
  Resource id:  0x1b0000
Xlib: sequence lost (0x40000 > 0x3499d) in reply type 0x8!
X Error: 0 0
  Extension:    224 (Uknown extension)
  Minor opcode: 254 (Unknown request)
  Resource id:  0x499d0309
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0xb
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0x499d0001
X Error: 0 0
  Extension:    224 (Uknown extension)
  Minor opcode: 254 (Unknown request)
  Resource id:  0x499d001c
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0x499d001c
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0x499d001c
X Error: 0 0
  Extension:    224 (Uknown extension)
  Minor opcode: 254 (Unknown request)
  Resource id:  0x499d001c
X Error: 0 0
  Major opcode: 21 (X_ListProperties)
  Resource id:  0x499d0305
Xlib: sequence lost (0x40202 > 0x3499d) in reply type 0x10!
Xlib: sequence lost (0x40000 > 0x3499d) in reply type 0x0!
X Error: 0 0
  Major opcode: 21 (X_ListProperties)
  Resource id:  0x499d0006
Xlib: sequence lost (0x40000 > 0x3499d) in reply type 0x0!
X Error: 0 0
  Major opcode: 21 (X_ListProperties)
  Resource id:  0x499d0006
Xlib: sequence lost (0x40000 > 0x3499d) in reply type 0x0!
X Error: 0 0
  Major opcode: 21 (X_ListProperties)
  Resource id:  0x499d0006
Xlib: sequence lost (0x40000 > 0x3499d) in reply type 0x0!
X Error: 0 0
  Major opcode: 21 (X_ListProperties)
  Resource id:  0x499d0006
Xlib: sequence lost (0x40000 > 0x3499d) in reply type 0x0!
X Error: 0 0
  Major opcode: 21 (X_ListProperties)
  Resource id:  0x499d0006
Xlib: sequence lost (0x40000 > 0x3499d) in reply type 0x0!
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0x499d001c
X Error: 0 0
  Extension:    224 (Uknown extension)
  Minor opcode: 146 (Unknown request)
  Resource id:  0x499d030a
X Error: 0 0
  Extension:    224 (Uknown extension)
  Minor opcode: 146 (Unknown request)
  Resource id:  0x499d001c
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0x499d001c
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0x499d001c
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0x499d001c
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0x499d001c
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0x499d001c
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0x499d001c
X Error: 0 0
  Extension:    224 (Uknown extension)
  Minor opcode: 146 (Unknown request)
  Resource id:  0x499d001c
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0x499d001c
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0x499d001c
X Error: 0 0
  Major opcode: 21 (X_ListProperties)
  Resource id:  0x499d1703
Xlib: sequence lost (0x40000 > 0x3499d) in reply type 0x0!
X Error: 0 0
  Major opcode: 21 (X_ListProperties)
  Resource id:  0x499d0006
Xlib: sequence lost (0x40000 > 0x3499d) in reply type 0x0!
X Error: 0 0
  Extension:    224 (Uknown extension)
  Minor opcode: 146 (Unknown request)
  Resource id:  0x499d0309
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0xb
X Error: 0 0
  Extension:    224 (Uknown extension)
  Minor opcode: 146 (Unknown request)
  Resource id:  0x499d20a1
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0x499d001c
X Error: 0 0
  Major opcode: 21 (X_ListProperties)
  Resource id:  0x499d0307
Xlib: sequence lost (0x40000 > 0x3499d) in reply type 0x0!
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0x499d001c
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0x499d001c
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0x499d001c
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0x499d001c
X Error: 0 0
  Extension:    224 (Uknown extension)
  Minor opcode: 146 (Unknown request)
  Resource id:  0x499d001c
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0x499d001c
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0x499d001c
X Error: 0 0
  Extension:    224 (Uknown extension)
  Minor opcode: 254 (Unknown request)
  Resource id:  0x499d030a
X Error: 0 0
  Extension:    224 (Uknown extension)
  Minor opcode: 146 (Unknown request)
  Resource id:  0x499d0309
X Error: 0 0
  Major opcode: 0 ()
  Resource id:  0xb
Comment 2 Mallikarjun 2013-10-13 11:12:39 EDT
I am also facing the same problem, please help me with this. Thanks.
Comment 3 Fabien Brachere 2013-11-18 06:35:09 EST
Hi,
the problem is gone for me with the latest update of Xorg server (xorg-x11-server-Xorg-1.14.4-3.fc19.x86_64).
Comment 4 Mallikarjun 2013-11-18 06:55:37 EST
Hi, I upgraded my system to Fedora 20 and performed a full system update. The problem seems to be solved, Cadence is working fine now, it does not get freezed. Hoping the problem does not arrise again :)
Comment 5 Jiri Vyskocil 2013-11-18 10:33:21 EST
I can confirm that the problem disappeared with update to xorg-x11-server-Xorg-1.14.4-3.fc19.x86_64
Comment 6 Fedora End Of Life 2015-01-09 14:33:07 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 11:52:18 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.